API
API Reference
Customer
Update Customer

Update Customer

Update an existing customer in Customerscore.

For interactive API documentation, see the Swagger reference (opens in a new tab).

Endpoint

MethodURL
PUThttps://api.customerscore.io/api/v1/customer/{customerExternalId}

Path Parameters

ParameterTypeRequiredDescription
customerExternalIdstringYesCustomer external ID

Request Body

All fields in the request body are optional. Only include the fields you want to update.

FieldTypeRequiredDescription
namestringNoCustomer name
is_churnedbooleanNoFlag indicating if the customer has churned
is_unsubscribedbooleanNoFlag indicating if the customer is unsubscribed
churned_datestringNoDate when the customer churned in ISO8601 format (YYYY-MM-DD)
owner_emailstringNoOwner email address. If provided, updates the customer owner to the user with this email

Example Request

curl -X PUT "https://api.customerscore.io/api/v1/customer/12345" \
  -H "Content-Type: application/json" \
  -H "customerscore-key: your-generated-key" \
  -d '{
    "name": "Acme Corporation",
    "is_churned": true,
    "churned_date": "2024-12-31",
    "owner_email": "owner@example.com"
  }'

Response Codes

CodeDescription
200The customer has been successfully updated
400Bad request
401Unauthorized - Missing customerscore-key in the header
403Forbidden - Invalid key
404Customer not found
405Method Not Allowed - Only PUT method is allowed
406Not Acceptable